import { colors } from './custom-colors.js';
export const tailwindcssConfig = {
    darkMode: 'class',
    content: ['./node_modules/vuepress-theme-reco/lib/**/*.(vue|html|js)'],
    theme: {
        extend: {
            backgroundOpacity: {
                98: '.98',
            },
            borderRadius: {
                '1/2': '50%',
            },
            borderWidth: {
                6: '6px',
            },
            // boxShadow 不支持嵌套
            boxShadow: {
                'light': '0 1px 8px 0 rgba(0, 0, 0, 0.1)',
                'light-heavier': '0 2px 16px 0 rgba(0, 0, 0, 0.2)',
                'dark': '0 1px 8px 0 rgba(0, 0, 0, .6)',
                'dark-heavier': '0 2px 16px 0 rgba(0, 0, 0, .7)',
            },
            colors,
            height: () => ({ 'screen-3/5': '60vh' }),
            zIndex: {
                'negative-10': -10,
            },
            rotate: {
                '225': '225deg',
                '315': '315deg',
            },
        },
    },
};
